Subject: LILO vs LOADLIN (was Re: LILO and W95)

From: [email-masked]
Date: Fri, 02 Aug 96 15:20:15 cet

Hi

The DOS+LOADLIN solution is in my opinion a very practical and safe one. I read 
"much safer than LILO" somewhere and some time ago, but I cannot recall why nor 
if it has changed with the last versions of LILO for which horror histories 
abound. Anybody knows?

There is however at least one situation that none of LILO or SYSLINUX can cope 
with: The Compaq boxes with a PCI SCSI and or Ethernet card on board.
The problem is that Linux cannot address the PCI services on them (Ref: Linus 
Torvald). This is the case, at least, for the Compaq Deskpro and the high end XL
series. There was a page on the WWW for Linux on these last. 

But...DOS+LOADLIN can cope with it:

Compaq provides a DOS driver (luckily Novell Netware has the same problem as 
Linux :) called MOVEPCI which re-addresses PCI services and exits. Then one can 
load via MS-DOS LOADLIN. A CONFIG.SYS on top of MS-DOS 5.0
that worked for me is:

----- Cut here ----
DEVICE=\MOVEPCI.SYS
SHEL=\LOADLIN \vmlinuz root=/dev/sda6 ro 
----- Cut here ----

This and all the variants you can imagine like(take them alone or combined)  
LOADLIN from AUTOEXEC, within a menuitem (DOS 6.xx), many different kernels
and/or root on different partitions, with the kernel image on HD or FD (yes, 
two moderatly large kernels + LOADLIN + MOVEPCI...fit in one FD!) and you can 
of course pass old the boot parameters you one in a line or (if too long for 
DOS) in a file. And if in a floppy is readable/transportable from/to any DOS 
machine around (the same good point of Syslinux used on Debian).

I think LOADLIN is a good (and versatile) choice. I prefer it to LILO unless 
somebody can show me a good reason to not.

P.S. Yes, I know that with Syslinux you can fit 3 kernels on one floppy + a tiny
editor (I have DOS screen editor of size=4096 bytes!)
______________________________ Reply Separator _________________________________
Subject: Re: LILO and W95
Author:  [email-masked] at cclink
Date:    02.08.96 07:26

On Thu, 1 Aug 1996, nathan work wrote:

> ok, i just loaded linux after w95 for the first time.  i know very 
> little about linux or unix for that matter and i'm having a real problem 
> - 95 will not 'recognize' LILO, and boots right into 95.  i didn't have 
> this problem with 3.1.  what i need is for someone to be gracious enough 
> to take me by the hand and show me how to overcome this (to keep w95 
> from controling what's booted). please email me if you'd like:

What I have done is similar to what Susan suggest in using LOADLIN, but I
have setup a menuitem in config.sys to handle it.  The line I use in the
config.sys file is:

shell=c:\loadlin.exe c:\vmlinuz root=/dev/hda6 ro

This assumes my root file system is on hda6.  This way when I boot I have
the option presented to me.  It is very much like LILO, but is all done
through DOS/WIN95 utilities (when I started using linux, I was more
comfortable doing it this way).

-----------------------------------------------------------------------
Kenny Wickstrom           | gnu - a new generation in s/w devel/support
[email-masked]          | Linux - a much improved Un*x clone
(847)740-4008             | Debian - a Linux distribution setting the
#include <std-disclaimer> |    standard for future distributions